Payment
Endpoints for Payment
Endpoints for Payment
POST/api/v1/payment/subscription/external
Authentication: Bearer token (JWT)
application/jsonpackageIdnumberRequiredpaidPaymentProviderstringOptional"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"paymentDatestring (date-time)OptionalisPaidbooleanOptionalnotestringOptionaloptionalProductsarray of OptionalProductWithQuantityOptional2 required when the containing object is present4 fieldsoptionalProductsproductIdnumberRequired when parent is presentField path: optionalProducts[].productIdminimum: 1quantitynumberRequired when parent is presentField path: optionalProducts[].quantityminimum: 1shippingCountrystringOptionalField path: optionalProducts[].shippingCountrymaxLength: 64mainProductsWithManualPricearray of MainProductWithManualPriceOptional2 required when the containing object is present2 fieldsmainProductsWithManualPriceproductIdnumberRequired when parent is presentField path: mainProductsWithManualPrice[].productIdmanualPricenumberRequired when parent is presentField path: mainProductsWithManualPrice[].manualPriceminimum: 1userDataFakturaCheckoutUserRequired12 fieldsuserDatamemberIdstringOptionalField path: userData.memberIdemailstring (email)OptionalField path: userData.emailfullNamestringRequiredField path: userData.fullNamephonestringOptionalField path: userData.phonemaxLength: 20countryCodestringOptionalField path: userData.countryCode"NO", billingAddressBillingAddressOptional3 required when the containing object is present11 fieldsbillingAddressaddressstringRequired when parent is presentField path: billingAddress.addressaddressTwostringOptionalField path: billingAddress.addressTwocompanyNamestringOptionalField path: billingAddress.companyNameorganizationNostringOptionalField path: billingAddress.organizationNopostCodestringRequired when parent is presentField path: billingAddress.postCode{
"packageId": 0,
"paidPaymentProvider": "stripe",
"paymentDate": "2019-08-24T14:15:22Z",
"isPaid": true,
"note": "string",
"userData": {
"memberId": "string",
"email": "user@example.com",
"fullName": "<fullName>",
"phone": "<phone>",
"countryCode": "NO",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"reference": "string",
"onCheckoutCompletedUrl": "string",
"sourceUrl": "string",
"referrerUrl": "string"
},
"billingAddress": {
"address": "<address>",
"addressTwo": "<addressTwo>",
"companyName": "string",
"organizationNo": "string",
"postCode": "string",
"city": "string",
"country": "string",
"invoiceReference": "string",
"email": "string",
"fullName": "<fullName>",
"phone": "<phone>"
}
}checkoutStateUuidstringRequiredmemberPackageMemberPackageRequiredcurlcurl https://api.subrite.no/api/v1/payment/subscription/external \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"packageId": 0,
"paidPaymentProvider": "stripe",
"paymentDate": "2019-08-24T14:15:22Z",
"isPaid": true,
"note": "string",
"optionalProducts": [
{}
],
"mainProductsWithManualPrice": [
{}
],
"userData": {
"memberId": "string",
"email": "user@example.com",
"fullName": "<fullName>",
"phone": "<phone>",
"countryCode": "NO",
"isCompany": true,
"companyName": "string",
"organizationNo": "string",
"reference": "string",
"onCheckoutCompletedUrl": "string",
"sourceUrl": "string",
"referrerUrl": "string"
},
"billingAddress": {
"address": "<address>",
"addressTwo": "<addressTwo>",
"companyName": "string",
"organizationNo": "string",
"postCode": "string",
"city": "string",
"country": "string",
"invoiceReference": "string",
"email": "string",
"fullName": "<fullName>",
"phone": "<phone>"
}
}'GET/api/v1/payment/external/grace-deactivate
Authentication: Bearer token (JWT)
unauthorized
This response has no body.
POST/api/v1/payment/turn-off-inactives
Authentication: Bearer token (JWT)
This response has no body.
POST/api/v1/payment/admin/recover-stripe-recurring-invoices
Authentication: Bearer token (JWT)
application/jsonmemberPackageIdsarray of numberRequiredminItems: GET/api/v1/payment/enqueue-schedule-activate-subscriptions
Authentication: Bearer token (JWT)
unauthorized
This response has no body.
GET/api/v1/payment/order/{orderId}
Authentication: Bearer token (JWT)
orderIdnumberRequiredGET/api/v1/payment/order-by-token/{token}
Authentication: Bearer token (JWT)
tokenstringRequiredunauthorized
GET/api/v1/payment/generate-payment-link/{memberPackageId}
Authentication: Bearer token (JWT)
memberPackageIdnumberRequiredReturns the payment link for the given member package
POST/api/v1/payment/create
Authentication: Bearer token (JWT)
application/jsonpaymentDatestring (date-time)RequiredamountnumberRequiredpaymentProviderstringRequired"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf"PATCH/api/v1/payment/payment-date
Authentication: Bearer token (JWT)
application/jsonpaymentIdnumberRequiredpaymentDatestring (date-time)RequiredPOST/api/v1/payment/refund
Authentication: Bearer token (JWT)
application/jsoninvoiceNumbernumberOptionalamountnumberRequiredaccountingDatestring (date-time)RequiredpaymentProviderstringPOST/api/v1/payment/restart-subscription
Authentication: Bearer token (JWT)
application/jsonsubscriptionIdnumberRequiredpaymentDatestring (date-time)OptionalPOST/api/v1/payment/member/restart-subscription
Authentication: Bearer token (JWT)
application/jsonSame fields as Restart a stopped/expired/inactive subscription (Request body).
POST/api/v1/payment/enqueue-renew-external-subscriptions
Authentication: Bearer token (JWT)
unauthorized
This response has no body.
POST/api/v1/payment/subscription-auto-renew-with-payment
Authentication: Bearer token (JWT)
application/jsonsubscriptionIdnumberRequiredpaymentDatestring (date-time)OptionalmanualPricenumber"SE""DK""FI""FO""GB"isCompanybooleanOptionalField path: userData.isCompanycompanyNamestringOptionalField path: userData.companyNameorganizationNostringOptionalField path: userData.organizationNoreferencestringOptionalField path: userData.referenceonCheckoutCompletedUrlstringOptionalField path: userData.onCheckoutCompletedUrlsourceUrlstringOptionalField path: userData.sourceUrlreferrerUrlstringOptionalField path: userData.referrerUrlcitystringOptionalField path: billingAddress.citycountrystringRequired when parent is presentField path: billingAddress.countryinvoiceReferencestringOptionalField path: billingAddress.invoiceReferenceemailstringOptionalField path: billingAddress.emailfullNamestringOptionalField path: billingAddress.fullNamephonestringOptionalField path: billingAddress.phonememberPackagememberIdstringRequiredField path: memberPackage.memberIdpackageIdnumberRequiredField path: memberPackage.packageIdsubscriptionPlanIdnumberRequiredField path: memberPackage.subscriptionPlanIdrecurringPricenumberRequiredField path: memberPackage.recurringPricehasCustomPricebooleanRequiredField path: memberPackage.hasCustomPricecurrentPricenumberRequiredField path: memberPackage.currentPricestatusstringRequiredField path: memberPackage.status"active", "inactive", "pending", "paused", "stopped", "expired", "waiting_for_activation"autoRenewbooleanRequiredField path: memberPackage.autoRenewnextRenewalstring (date-time)RequiredField path: memberPackage.nextRenewalrenewalAnchorDatestring (date-time)RequiredField path: memberPackage.renewalAnchorDatecurrentPeriodStartstring (date-time)RequiredField path: memberPackage.currentPeriodStartforcedStopDatestring (date-time)RequiredField path: memberPackage.forcedStopDatecancelledAtstring (date-time)RequiredField path: memberPackage.cancelledAtisCustomizedbooleanRequiredField path: memberPackage.isCustomizedpaymentProviderstringRequiredField path: memberPackage.paymentProvider"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"referencestringRequiredField path: memberPackage.referencelastActiveAtstring (date-time)RequiredField path: memberPackage.lastActiveAtisOnIntroPeriodbooleanRequiredField path: memberPackage.isOnIntroPeriodnextOrderDatestring (date-time)RequiredField path: memberPackage.nextOrderDatescheduledActivationDatestring (date-time)RequiredField path: memberPackage.scheduledActivationDatepackagePackageRequiredField path: memberPackage.package35 fieldsmemberPackage.packagepaymentProvidersarray of PAYMENT_PROVIDERRequiredField path: memberPackage.package.paymentProviders"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"repeatPurchaseControlRepeatPurchaseControlRequiredField path: memberPackage.package.repeatPurchaseControl"allow", "warning", "block_active", "block_forever", "cooldown"repeatPurchaseCooldownDaysnumberField path: memberPackage.package.repeatPurchaseCooldownDayssubscriptionPlanSubscriptionPlanRequiredField path: memberPackage.subscriptionPlanNested fields omitted: field limit.memberMemberRequiredField path: memberPackage.memberNested fields omitted: field limit.memberPackageProductsarray of MemberPackageProductRequiredField path: memberPackage.memberPackageProductsNested fields omitted: field limit.ordersarray of OrderRequiredField path: memberPackage.ordersNested fields omitted: field limit.memberPackageProviderPaymentMemberPackageProviderPaymentRequiredField path: memberPackage.memberPackageProviderPaymentNested fields omitted: field limit.changesarray of MemberPackageChangeRequiredField path: memberPackage.changesNested fields omitted: field limit.historiesarray of MemberPackageHistoryRequiredField path: memberPackage.historiesNested fields omitted: field limit.tenantIdnumberRequiredField path: memberPackage.tenantIdtenantTenantRequiredField path: memberPackage.tenantNested fields omitted: field limit.idnumberRequiredField path: memberPackage.idcreatedAtstring (date-time)RequiredField path: memberPackage.createdAtupdatedAtstring (date-time)RequiredField path: memberPackage.updatedAtdeletedAtstring (date-time)RequiredField path: memberPackage.deletedAtmetaDataobjectRequiredField path: memberPackage.metaDatainvoiceNumbernumber{
"checkoutStateUuid": "string",
"memberPackage": {
"memberId": "string",
"packageId": 0,
"subscriptionPlanId": 0,
"recurringPrice": 0,
"hasCustomPrice": true,
"currentPrice": 0,
"status": "active",
"autoRenew": true,
"nextRenewal": "2019-08-24T14:15:22Z",
"renewalAnchorDate": "2019-08-24T14:15:22Z",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"forcedStopDate": "2019-08-24T14:15:22Z",
"cancelledAt": "2019-08-24T14:15:22Z",
"isCustomized": true,
"paymentProvider": "stripe",
"reference": "string",
"lastActiveAt": "2019-08-24T14:15:22Z",
"isOnIntroPeriod": true,
"nextOrderDate": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z",
"package": {
"paymentProviders": [],
"description": {},
"packageProducts": [],
"payments": [],
"memberPackages": [],
"metaData": {}
},
"subscriptionPlan": {
"paymentProviders": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"metaData": {}
},
"member": {
"customPropertyValues": {},
"productRecipients": [],
"metaData": {}
},
"memberPackageProducts": [],
"orders": [],
"memberPackageProviderPayment": {
"paymentInfo": {},
"cardInfo": {},
"metaData": {}
},
"changes": [],
"histories": [],
"tenantId": 0,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"invoiceNumber": 0
}invalidPackage, badRequest
This response has no body.
unauthorized
messageCodestringRequiredmessagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}forbidden
messageCodestringRequired"forbidden"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "forbidden",
"message": "string",
"errors": [
{}
]
}checkoutPhoneHasAccount
messageCodestringRequired"checkoutPhoneHasAccount"messagestringerrorsarray of FieldErrorRequired7 fieldserrorsfieldstringRequired when parent is presentField path: errors[].fieldfieldValuestringRequired when parent is presentField path: errors[].fieldValueidentifierstringRequired when parent is presentField path: errors[].identifieridentifierValuestringRequired when parent is presentField path: errors[].identifierValuemessageCodestringRequired when parent is presentField path: errors[].messageCodemessagestringField path: errors[].messageerrorTypestringRequired when parent is present{
"messageCode": "checkoutPhoneHasAccount",
"message": "string",
"errors": [
{}
]
}forbiddenResource
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/payment/external/grace-deactivate \
--header 'Authorization: Bearer <token>'unauthorized
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/payment/turn-off-inactives \
--request POST \
--header 'Authorization: Bearer <token>'1maxItems: 200{
"memberPackageIds": [
0
]
}resultsarray of RecoverRecurringStripePaymentResultDtoRequired5 fieldsresultsmemberPackageIdnumberRequired when parent is presentField path: results[].memberPackageIdstatusstringRequired when parent is presentField path: results[].status"succeeded", "already_processed", "skipped", "failed"paymentIntentIdstringField path: results[].paymentIntentIdinvoiceIdnumberField path: results[].invoiceIdmessagestringField path: results[].message{
"results": [
{}
]
}unauthorized
Same fields as Subscribe a package via external payment (401).
curlcurl https://api.subrite.no/api/v1/payment/admin/recover-stripe-recurring-invoices \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"memberPackageIds": [
0
]
}'forbiddenResource
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/payment/enqueue-schedule-activate-subscriptions \
--header 'Authorization: Bearer <token>'{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}idnumberRequiredorderDatestring (date-time)RequiredorderNumbernumberRequiredpaymentStatusPAYMENT_STATUSRequired"pending", "succeeded", "failed"amountnumberRequiredcreditnumberRequireddebitnumberRequiredpackageNamestringRequiredplanNamestringRequiredpaymentProviderPAYMENT_PROVIDERRequired"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"currencystringRequiredbillingPeriodInfoBillingPeriodInfoRequired2 fieldsbillingPeriodInfobillingPeriodstringRequiredField path: billingPeriodInfo.billingPeriodcustomBillingPeriodBillingPeriodDetailsRequiredField path: billingPeriodInfo.customBillingPeriodNested fields omitted: field limit.allowedPaymentProvidersarray of PAYMENT_PROVIDERRequired"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"tenantIdnumberRequiredupgradeDataMemberPackageChangeData5 fieldsupgradeDataplanChangePlanChangeRequired when parent is presentField path: upgradeData.planChangeNested fields omitted: field limit.productChangearray of ProductChangeRequired when parent is presentField path: upgradeData.productChangeNested fields omitted: field limit.optionalProductsarray of OptionalProductWithQuantityRequired when parent is presentField path: upgradeData.optionalProductsNested fields omitted: field limit.planProductPricesarray of PlanProductPriceSnapshotField path: upgradeData.planProductPricesNested fields omitted: field limit.memberPackageIdnumberRequiredrecurringPriceAtOrdernumberRequiredpaymentIdnumberRequiredpaymentTokenstringRequiredtypestringRequired"initial", "recurrent", "upgrade", "credit-note", "standalone"orderItemsarray of OrderItemRequired14 fieldsorderItemsorderIdnumberRequired when parent is presentField path: orderItems[].orderIdproductIdnumberRequired when parent is presentField path: orderItems[].productIdnamestringRequired when parent is presentField path: orderItems[].namepricenumberRequired when parent is presentField path: orderItems[].pricetaxnumberRequired when parent is presentField path: orderItems[].taxpaymentPaymentRequired28 fieldspaymentpackageIdnumberRequiredField path: payment.packageIdaccountingDatestring (date-time)RequiredField path: payment.accountingDateregistrationDatestring (date-time)RequiredField path: payment.registrationDatepaymentProviderstringRequiredField path: payment.paymentProvider"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"paymentMethodmemberPackageMemberPackageRequiredNested fields omitted: field limit.invoiceInvoiceRequiredNested fields omitted: field limit.tenantTenantRequiredNested fields omitted: field limit.memberPackageChangeMemberPackageChangeRequiredNested fields omitted: field limit.createdAtstring (date-time)RequiredupdatedAtstring (date-time)RequireddeletedAtstring (date-time)RequiredmetaDataobjectRequiredcurlcurl 'https://api.subrite.no/api/v1/payment/order/{orderId}' \
--header 'Authorization: Bearer <token>'ErrorResponseSame fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}Schema reference could not be resolved.
curlcurl 'https://api.subrite.no/api/v1/payment/order-by-token/{token}' \
--header 'Authorization: Bearer <token>'No named fields are defined for this schema.
{
"paymentLink": "https://subrite.domain.com/pay/{payment-token}"
}memberPackageNotFound
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
curlcurl 'https://api.subrite.no/api/v1/payment/generate-payment-link/{memberPackageId}' \
--header 'Authorization: Bearer <token>'"swedbankpay"notestringRequiredinvoiceNumbernumberOptionalmemberPackageIdnumberOptionalmemberIdstringRequired{
"paymentDate": "2019-08-24T14:15:22Z",
"amount": 0,
"paymentProvider": "stripe",
"note": "string",
"invoiceNumber": 0,
"memberPackageId": 0,
"memberId": "string"
}badRequest
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/payment/create \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"paymentDate": "2019-08-24T14:15:22Z",
"amount": 0,
"paymentProvider": "stripe",
"note": "string",
"invoiceNumber": 0,
"memberPackageId": 0,
"memberId": "string"
}'UpdatePaymentDateDto{
"paymentId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}badRequest
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/payment/payment-date \
--request PATCH \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"paymentId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}'"stripe", "vipps", "external", "nets", "efaktura-avtalegiro-ehf", "swedbankpay"notestringRequiredmemberIdstringRequired{
"invoiceNumber": 0,
"amount": 0,
"accountingDate": "2019-08-24T14:15:22Z",
"paymentProvider": "stripe",
"note": "string",
"memberId": "string"
}InvoiceDoeNotBelongToTheMember
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
eventDateFallsInLockedPeriod
Same fields as Subscribe a package via external payment (401).
curlcurl https://api.subrite.no/api/v1/payment/refund \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"invoiceNumber": 0,
"amount": 0,
"accountingDate": "2019-08-24T14:15:22Z",
"paymentProvider": "stripe",
"note": "string",
"memberId": "string"
}'{
"subscriptionId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}alreadyActive
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}unauthorized
This response has no body.
curlcurl https://api.subrite.no/api/v1/payment/restart-subscription \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"subscriptionId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}'{
"subscriptionId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}alreadyActive
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/payment/member/restart-subscription \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"subscriptionId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}'forbiddenResource
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/payment/enqueue-renew-external-subscriptions \
--request POST \
--header 'Authorization: Bearer <token>'{
"subscriptionId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}alreadyChargeIsInProgress
Same fields as Subscribe a package via external payment (401).
{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}curlcurl https://api.subrite.no/api/v1/payment/subscription-auto-renew-with-payment \
--request POST \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"subscriptionId": 0,
"paymentDate": "2019-08-24T14:15:22Z"
}'displayOrdernumberField path: memberPackage.package.displayOrderseoSeoField path: memberPackage.package.seosalesTitlestringRequiredField path: memberPackage.package.salesTitleuuidstringRequiredField path: memberPackage.package.uuidsubscriptionPlanIdnumberRequiredField path: memberPackage.package.subscriptionPlanIdslugstringRequiredField path: memberPackage.package.slugimagestringRequiredField path: memberPackage.package.imagenamestringRequiredField path: memberPackage.package.namedescriptionobjectRequiredField path: memberPackage.package.descriptionbillingPeriodstringRequiredField path: memberPackage.package.billingPeriod"monthly", "thirty_days", "quarterly", "half_yearly", "yearly", "custom"billingPeriodUnitstringRequiredField path: memberPackage.package.billingPeriodUnit"day", "week", "month", "year"billingPeriodFrequencynumberRequiredField path: memberPackage.package.billingPeriodFrequencystatusstringRequiredField path: memberPackage.package.status"draft", "published", "archived"isAvailableOnMyPagebooleanRequiredField path: memberPackage.package.isAvailableOnMyPageisAvailableViaSlugbooleanRequiredField path: memberPackage.package.isAvailableViaSlugisAvailableForManualOrderViaAdminbooleanRequiredField path: memberPackage.package.isAvailableForManualOrderViaAdminallowSameSubscriptionChangebooleanRequiredField path: memberPackage.package.allowSameSubscriptionChangeallowDifferentSubscriptionSwitchbooleanRequiredField path: memberPackage.package.allowDifferentSubscriptionSwitchtenantIdnumberRequiredField path: memberPackage.package.tenantIdonboardingWelcomeRedirectCTATextTranslationRequiredField path: memberPackage.package.onboardingWelcomeRedirectCTATextNested fields omitted: depth limit.customPeriodTextTranslationRequiredField path: memberPackage.package.customPeriodTextNested fields omitted: depth limit.orderCtaLabelTranslationRequiredField path: memberPackage.package.orderCtaLabelNested fields omitted: depth limit.introPeriodFixedEndDatestring (date-time)RequiredField path: memberPackage.package.introPeriodFixedEndDatepackageProductsarray of PackageProductRequiredField path: memberPackage.package.packageProductsNested fields omitted: depth limit.subscriptionPlanSubscriptionPlanRequiredField path: memberPackage.package.subscriptionPlanNested fields omitted: depth limit.paymentsarray of PaymentRequiredField path: memberPackage.package.paymentsNested fields omitted: depth limit.memberPackagesarray of MemberPackageRequiredField path: memberPackage.package.memberPackagesRecursive schema; nested fields are not repeated.idnumberRequiredField path: memberPackage.package.idcreatedAtstring (date-time)RequiredField path: memberPackage.package.createdAtupdatedAtstring (date-time)RequiredField path: memberPackage.package.updatedAtdeletedAtstring (date-time)RequiredField path: memberPackage.package.deletedAtmetaDataobjectRequiredField path: memberPackage.package.metaData{
"messageCode": "string",
"message": "string",
"errors": [
{}
]
}seatTransferMaparray of SeatTransferMappingDtoField path: upgradeData.seatTransferMapNested fields omitted: field limit.quantitynumberRequired when parent is presentnotestringRequired when parent is presentField path: orderItems[].noteorderOrderRequired when parent is presentField path: orderItems[].orderNested fields omitted: field limit.productProductRequired when parent is presentField path: orderItems[].productNested fields omitted: field limit.idnumberRequired when parent is presentField path: orderItems[].idcreatedAtstring (date-time)Required when parent is presentField path: orderItems[].createdAtupdatedAtstring (date-time)Required when parent is presentField path: orderItems[].updatedAtdeletedAtstring (date-time)Required when parent is presentField path: orderItems[].deletedAtmetaDataobjectRequired when parent is presentField path: orderItems[].metaDatastring"card", "vipps", "manual_registration", "efaktura", "ehf", "avtalegiro"amountnumberRequiredField path: payment.amountcurrencystringRequiredField path: payment.currencystatusstringRequiredField path: payment.status"pending", "succeeded", "failed"notestringRequiredField path: payment.noteisAdminActionbooleanRequiredField path: payment.isAdminActionmemberIdstringRequiredField path: payment.memberIdstripePaymentStripePaymentRequiredField path: payment.stripePaymentNested fields omitted: field limit.vippsPaymentVippsPaymentRequiredField path: payment.vippsPaymentNested fields omitted: field limit.netsPaymentNetsPaymentRequiredField path: payment.netsPaymentNested fields omitted: field limit.eInvoicePaymentEInvoicePaymentRequiredField path: payment.eInvoicePaymentNested fields omitted: field limit.swedbankpayPaymentSwedbankpayPaymentRequiredField path: payment.swedbankpayPaymentNested fields omitted: field limit.packagePackageRequiredField path: payment.packageNested fields omitted: field limit.orderOrderRequiredField path: payment.orderNested fields omitted: field limit.checkoutStateCheckoutStateRequiredField path: payment.checkoutStateNested fields omitted: field limit.invoiceIdnumberRequiredField path: payment.invoiceIdinvoiceInvoiceRequiredField path: payment.invoiceNested fields omitted: field limit.memberMemberRequiredField path: payment.memberNested fields omitted: field limit.updatedBynumberRequiredField path: payment.updatedByidnumberRequiredField path: payment.idcreatedAtstring (date-time)RequiredField path: payment.createdAtupdatedAtstring (date-time)RequiredField path: payment.updatedAtdeletedAtstring (date-time)RequiredField path: payment.deletedAtmetaDataobjectRequiredField path: payment.metaData{
"id": 0,
"orderDate": "2019-08-24T14:15:22Z",
"orderNumber": 0,
"paymentStatus": "pending",
"amount": 0,
"credit": 0,
"debit": 0,
"packageName": "string",
"planName": "string",
"paymentProvider": "stripe",
"currency": "string",
"billingPeriodInfo": {
"billingPeriod": "string",
"customBillingPeriod": {}
},
"allowedPaymentProviders": [
"stripe"
],
"tenantId": 0,
"upgradeData": {
"planChange": {},
"productChange": [],
"optionalProducts": [],
"planProductPrices": [],
"seatTransferMap": []
},
"memberPackageId": 0,
"recurringPriceAtOrder": 0,
"paymentId": 0,
"paymentToken": "<paymentToken>",
"type": "initial",
"orderItems": [
{
"metaData": {}
}
],
"payment": {
"packageId": 0,
"accountingDate": "2019-08-24T14:15:22Z",
"registrationDate": "2019-08-24T14:15:22Z",
"paymentProvider": "stripe",
"paymentMethod": "card",
"amount": 0,
"currency": "string",
"status": "pending",
"note": "string",
"isAdminAction": true,
"memberId": "string",
"stripePayment": {
"metaData": {}
},
"vippsPayment": {
"metaData": {}
},
"netsPayment": {
"metaData": {}
},
"eInvoicePayment": {
"metaData": {}
},
"swedbankpayPayment": {
"metaData": {}
},
"package": {
"paymentProviders": [],
"description": {},
"packageProducts": [],
"payments": [],
"memberPackages": [],
"metaData": {}
},
"order": {
"orderItems": [],
"metaData": {}
},
"checkoutState": {
"steps": [],
"paymentData": {},
"additionalMemberData": [],
"giftReceiverData": [],
"metaData": {}
},
"invoiceId": 0,
"invoice": {
"orderItemInfo": [],
"taxGroupInfo": [],
"refunds": [],
"creditNotes": [],
"payments": [],
"metaData": {}
},
"member": {
"customPropertyValues": {},
"productRecipients": [],
"metaData": {}
},
"updatedBy": 0,
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"memberPackage": {
"memberId": "string",
"packageId": 0,
"subscriptionPlanId": 0,
"recurringPrice": 0,
"hasCustomPrice": true,
"currentPrice": 0,
"status": "active",
"autoRenew": true,
"nextRenewal": "2019-08-24T14:15:22Z",
"renewalAnchorDate": "2019-08-24T14:15:22Z",
"currentPeriodStart": "2019-08-24T14:15:22Z",
"forcedStopDate": "2019-08-24T14:15:22Z",
"cancelledAt": "2019-08-24T14:15:22Z",
"isCustomized": true,
"paymentProvider": "stripe",
"reference": "string",
"lastActiveAt": "2019-08-24T14:15:22Z",
"isOnIntroPeriod": true,
"nextOrderDate": "2019-08-24T14:15:22Z",
"scheduledActivationDate": "2019-08-24T14:15:22Z",
"package": {
"paymentProviders": [],
"description": {},
"packageProducts": [],
"payments": [],
"memberPackages": [],
"metaData": {}
},
"subscriptionPlan": {
"paymentProviders": [],
"entityTags": [],
"subscriptionPlanProducts": [],
"packages": [],
"memberPackages": [],
"metaData": {}
},
"member": {
"customPropertyValues": {},
"productRecipients": [],
"metaData": {}
},
"memberPackageProducts": [],
"orders": [],
"memberPackageProviderPayment": {
"paymentInfo": {},
"cardInfo": {},
"metaData": {}
},
"changes": [],
"histories": [],
"tenantId": 0,
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"invoice": {
"status": "paid",
"deliveryStatus": "sent_via_einvoice",
"remainingAmount": 0,
"totalTaxAmount": 0,
"taxExclusiveAmount": 0,
"invoiceNumber": 0,
"language": "en",
"packName": "string",
"planName": "string",
"autoGenerated": true,
"periodStartDate": "2019-08-24T14:15:22Z",
"periodEndDate": "2019-08-24T14:15:22Z",
"memberInfo": {},
"addressInfo": {},
"tenantInfo": {},
"orderNumber": 0,
"orderItemInfo": [],
"taxGroupInfo": [],
"paymentProvider": "stripe",
"paymentMethod": "card",
"amount": 0,
"paidAmount": 0,
"dueDate": "2019-08-24T14:15:22Z",
"paymentDate": "2019-08-24T14:15:22Z",
"accountingDate": "2019-08-24T14:15:22Z",
"currency": "string",
"tenantId": 0,
"order": {
"orderItems": [],
"metaData": {}
},
"eInvoicePayment": {
"metaData": {}
},
"member": {
"customPropertyValues": {},
"productRecipients": [],
"metaData": {}
},
"tenant": {
"additionalFeatures": [],
"disabledFeatures": [],
"taxRates": [],
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"metaData": {}
},
"refunds": [],
"isCreditNote": true,
"note": "string",
"referencedInvoiceNumber": 0,
"referencedInvoiceId": 0,
"referencedInvoice": {},
"creditNotes": [],
"payments": [],
"transaction": {
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"tenant": {
"market": "NO",
"productName": "enterprise",
"additionalFeatures": [],
"disabledFeatures": [],
"name": "string",
"isActive": true,
"defaultLanguage": "en",
"hostName": "string",
"logo": "string",
"favicon": "string",
"authLogo": "string",
"authLogoHeight": 0,
"siteUrl": "string",
"termsUrl": "string",
"privacyUrl": "string",
"gtm": "string",
"taxRates": [],
"smsOtp": true,
"emailProvider": "brevo",
"tenantContact": "string",
"registeredBusinessNo": "string",
"bankAccountNo": "string",
"swiftCode": "string",
"iban": "<iban>",
"defaultLogoutURL": "string",
"postalAddress": "<postalAddress>",
"otpTemplateId": {},
"smsSenderId": 0,
"emailSenderId": 0,
"smsSender": {
"metaData": {}
},
"emailSender": {
"metaData": {}
},
"products": [],
"users": [],
"members": [],
"roles": [],
"subscriptionPlans": [],
"packages": [],
"invoices": [],
"orders": [],
"paymentProviders": [],
"newslettersProviderConfig": [],
"paymentProviderConfigs": [],
"oidcClients": [],
"oauthProviders": [],
"activityLogs": [],
"m2m_api_clients": [],
"customProperties": [],
"consents": [],
"preference": {
"inputFieldConfig": [],
"customFieldsOnMemberCard": [],
"customFieldsOnInvoice": [],
"visibleAdditionalFieldsOnMypage": [],
"metaData": {}
},
"settings": {
"aiResidency": {},
"metaData": {}
},
"communicationTemplates": [],
"additionalHostnames": [],
"exportHistory": [],
"arReportHistory": [],
"mypageCardsSettings": [],
"webhooks": [],
"customOrders": [],
"customOrderSources": [],
"brandKits": [],
"communicationReceivers": [],
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"memberPackageChange": {
"isImmediate": true,
"changeInPrice": 0,
"status": "CREATED",
"data": {
"productChange": [],
"optionalProducts": [],
"planProductPrices": [],
"seatTransferMap": []
},
"updatedBy": 0,
"memberPackage": {
"memberPackageProducts": [],
"orders": [],
"changes": [],
"histories": [],
"metaData": {}
},
"order": {
"orderItems": [],
"metaData": {}
},
"id": 0,
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
},
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"metaData": {}
}